###########################################################################
# Copyright 2015, 2016, 2017 IoT.bzh
#
# author: Fulup Ar Foll <fulup@iot.bzh>
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
###########################################################################


Name:    agl-afb-controller
# WARNING {name} is not used for tar file name in source nor for setup
#         Check hard coded values required to match git directory naming
Version: 1.0.1504882152.acfdebd
Release: 8.2
Group:   AGL
License: Apache-2.0
Summary: Create controls be be mapped to LUA, callback or API
Url:     https://github.com/iotbzh/afb-controller 
Source0: afb-controller-%{version}.tar.gz

BuildRequires: cmake
BuildRequires: gcc gcc-c++
BuildRequires: pkgconfig(json-c)
BuildRequires: pkgconfig(libsystemd) >= 222
BuildRequires: pkgconfig(afb-daemon)
BuildRequires: pkgconfig(libmicrohttpd) >= 0.9.55
BuildRequires: pkgconfig(libafbwsc)
BuildRequires: pkgconfig(lua) >= 5.3


BuildRoot:     %{_tmppath}/%{name}-%{version}-build

%define _prefix /opt/AGL/afb-controller
%define __cmake cmake

%description
Create controls that could be mapped to LUA functions, callback or API/VERB methods.
Generic Controller to handle Policy,Small Business Logic, Glue in between components, ..
Create an application dedicate controller from a JSON config file
Each controls (eg: navigation, multimedia, ...) is a suite of actions. When all actions succeed control is granted, if one fail control acces is denied.
Actions can either be:
    Invocation to an other binding API, either internal or external (eg: a policy service, Alsa UCM, ...)
    C routines from a user provider plugin (eg: policy routine, proprietary code, ...)
    Lua script function. Lua provides access to every AGL appfw functionalities and can be extended from C user provided plugins.


%prep
%setup -q -n afb-controller-%{version}

%build
%cmake -DCMAKE_INSTALL_PREFIX:PATH=%{_libdir}
make %{?_smp_mflags}

%install
CURDIR=$(pwd)
[ -d build ] && cd build
make populate
mkdir -p %{?buildroot}%{_prefix}
cp -r package/* %{?buildroot}%{_prefix}

cd $CURDIR
find %{?buildroot}%{_prefix} -type d -exec echo "%dir {}" \;>> pkg_file
find %{?buildroot}%{_prefix} -type f -exec echo "{}" \;>> pkg_file
sed -i 's@%{?buildroot}@@g' pkg_file


%files -f pkg_file
%defattr(-,root,root)

%changelog
* Wed Sep 27 2017 Dominig
- move to git repo
* Tue Aug 01 2017 Ronan
- initial creation
